/// <reference types="node" />
import { inspect } from 'util';
import { JSONValue } from '@modern-js/builder-shared';
import { ThrowableType, TracingFrame } from '../shared/types';
import { Context } from './context';
export declare const getErrorCause: (error: Error) => Error | undefined;
export type Serializable<T> = { [K in keyof T]: T[K] extends JSONValue ? T[K] : never };
export declare class ParsedError<E extends Error = Error> {
  type: ThrowableType;
  cause?: ParsedError;
  causes: ParsedError[];
  trace: TracingFrame[];
  parent?: ParsedError;
  raw: E;
  name: string;
  message: string;
  context: Context;
  constructor(error: E, context?: Context);
  [inspect.custom](): string;
  freeze(): Readonly<this>;
}