"use strict";
Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "moduleParseErrorTransformer", {
  enumerable: true,
  get: function() {
    return moduleParseErrorTransformer;
  }
});
const _interop_require_default = require("@swc/helpers/_/_interop_require_default");
const _chalk = /* @__PURE__ */ _interop_require_default._(require("@modern-js/utils/chalk"));
const moduleParseErrorTransformer = (e) => {
  if (e.name === "ModuleParseError") {
    var _rawError;
    const rawError = e.raw.error;
    const rawStack = (_rawError = rawError) === null || _rawError === void 0 ? void 0 : _rawError.stack;
    let sliceEnding = -1;
    rawStack && (sliceEnding += e.message.indexOf(rawStack));
    e.message = e.message.slice(0, sliceEnding);
    e.trace = e.trace.slice(e.trace.length - e.causes[0].trace.length);
    e.message += " You can try to fix it by:\n";
    const tips = [
      "Check if the file is valid.",
      "Enable relational config of `tools`: https://modernjs.dev/builder/en/api/config-tools.html",
      "Install builder plugins: https://modernjs.dev/builder/en/plugin"
    ];
    e.message += tips.map((tip) => ` ${_chalk.default.gray(`*`)} ${tip}`).join("\n");
    e.message += "\n";
    e.message += "Or you can try to configure bundler loaders manually.";
  }
};
